#include <bits/stdc++.h>
using namespace std;

 int T, m, r;
 string s;

int main(){

  cin >> T;

  for(int i=1; i<=T; i++)
  {
      cin >> s;
      for(int j=1; j<s.size(); j++)
      {
          m = int(s[j-1]-48)*int(s[j]-48);
      }

  }

  cout << m;

  return 0;
}